NX Open C++ Reference Guide
|
Represents a collection of Curve s. More...
Classes | |
class | iterator |
Iterator for accessing the contents of the collection. More... | |
Public Member Functions | |
iterator | begin () |
Returns an iterator addressing the first element. | |
NXOpen::Arc * | CreateArc (const NXOpen::Point3d &startPoint, const NXOpen::Point3d &pointOn, const NXOpen::Point3d &endPoint, bool alternateSolution, bool *startAndEndGotFlipped) |
Creates an Arc that passes through the three specified points. | |
NXOpen::Arc * | CreateArc (const NXOpen::Point3d ¢er, NXOpen::NXMatrix *matrix, double radius, double startAngle, double endAngle) |
Creates an Arc . | |
NXOpen::Arc * | CreateArc (const NXOpen::Point3d ¢er, const NXOpen::Vector3d &xDirection, const NXOpen::Vector3d &yDirection, double radius, double startAngle, double endAngle) |
Creates an Arc . | |
NXOpen::Ellipse * | CreateEllipse (const NXOpen::Point3d ¢er, double majorRadius, double minorRadius, double startAngle, double endAngle, double rotationAngle, NXOpen::NXMatrix *matrix) |
Creates an Ellipse . | |
NXOpen::Ellipse * | CreateEllipse (const NXOpen::Point3d ¢er, const NXOpen::Vector3d &xDirection, const NXOpen::Vector3d &yDirection, double majorRadius, double minorRadius, double startAngle, double endAngle) |
Creates an Ellipse . | |
NXOpen::ICurve * | CreateExtractedCurve (NXOpen::ICurve *curveToExtract, int type, int subtype, NXOpen::Xform *xform, double tolerance, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Curve . | |
NXOpen::Hyperbola * | CreateHyperbola (const NXOpen::Point3d ¢er, double semiTransverseLength, double semiConjugateLength, double minimumDY, double maximumDY, double rotationAngle, NXOpen::NXMatrix *matrix) |
Creates a Hyperbola . | |
NXOpen::Hyperbola * | CreateHyperbola (const NXOpen::Point3d ¢er, const NXOpen::Vector3d &xDirection, const NXOpen::Vector3d &yDirection, double semiTransverseLength, double semiConjugateLength, double minimumDY, double maximumDY) |
Creates a Hyperbola . | |
NXOpen::InfiniteLine * | CreateInfiniteLine (const NXOpen::Point3d &startPoint, const NXOpen::Point3d &endPoint) |
Creates a InfiniteLine that passes through the two specified points. | |
NXOpen::Line * | CreateLine (const NXOpen::Point3d &startPoint, const NXOpen::Point3d &endPoint) |
Creates a Line . | |
NXOpen::Line * | CreateLine (NXOpen::Point *startPoint, NXOpen::Point *endPoint) |
Creates a Line joining given start Point and End Point . | |
NXOpen::InfiniteLine * | CreatePairedInfiniteLine (NXOpen::Line *line) |
Creates a paired InfiniteLine that is paired to the specified line. | |
NXOpen::Parabola * | CreateParabola (const NXOpen::Point3d ¢er, double focalLength, double minimumDY, double maximumDY, double rotationAngle, NXOpen::NXMatrix *matrix) |
Creates a Parabola . | |
NXOpen::Parabola * | CreateParabola (const NXOpen::Point3d ¢er, const NXOpen::Vector3d &xDirection, const NXOpen::Vector3d &yDirection, double focalLength, double minimumDY, double maximumDY) |
Creates a Parabola . | |
NXOpen::Curve * | CreateSmartCompositeCurve (NXOpen::Section *section, NXOpen::SmartObject::UpdateOption updateOption, double tolerance) |
Creates a Curve . | |
NXOpen::Curve * | CreateSmartCompositeCurve (NXOpen::Curve *curve, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Curve . | |
NXOpen::Curve * | CreateVirtualBlendCurve (NXOpen::SmartObject::UpdateOption updateOption, NXOpen::IParameterizedSurface *blendFace, double tolerance) |
Creates a Curve . | |
NXOpen::Curve * | CreateVirtualCenterlineCurve (NXOpen::SmartObject::UpdateOption updateOption, NXOpen::IParameterizedSurface *blendFace, double tolerance) |
Creates a Curve . | |
iterator | end () |
Returns an iterator addressing one past the last element. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a collection of Curve s.
To obtain an instance of this class, refer to BasePart
Created in NX3.0.0.
iterator NXOpen::CurveCollection::begin | ( | ) |
Returns an iterator addressing the first element.
NXOpen::Arc* NXOpen::CurveCollection::CreateArc | ( | const NXOpen::Point3d & | startPoint, |
const NXOpen::Point3d & | pointOn, | ||
const NXOpen::Point3d & | endPoint, | ||
bool | alternateSolution, | ||
bool * | startAndEndGotFlipped | ||
) |
Creates an Arc that passes through the three specified points.
startPoint | Start point |
pointOn | Point that the arc passes through. |
endPoint | End point |
alternateSolution | If true, the arc will be created using the alternate solution instead of the regular solution. The alternate solution for an arc is the portion of the full circle that is left out of the regular solution. For example, if the regular solution is an arc that goes from 0 to 45 degrees, the alternate solution will be an arc with the same center and origin but that goes from 45 degrees to 360. |
startAndEndGotFlipped | If true, the start point of the arc that is created is at the end point parameter to this method and the end point of the arc is at the start point parameter. In other words, suppose you execute arc = Curves.CreateArc(startPointParam, pointOnParam, endPointParam, false, flipped). If flipped is true, then arc.StartPoint equals endPointParam and arc.EndPoint equals startPointParam. |
NXOpen::Arc* NXOpen::CurveCollection::CreateArc | ( | const NXOpen::Point3d & | center, |
NXOpen::NXMatrix * | matrix, | ||
double | radius, | ||
double | startAngle, | ||
double | endAngle | ||
) |
Creates an Arc .
The arc will be created in a plane which passes through center and whose normal is the Z axis of the orientation matrix. (matrix.Element.xx, matrix.Element.xy, matrix.Element.xz) is the X axis of the orientation matrix. (matrix.Element.yx, matrix.Element.yy, matrix.Element.yz) is the Y axis of the orientation matrix. The start and end angles are measured relative to the X and Y axis of this orientation matrix.
center | Center of the arc |
matrix | Orientation matrix for the arc. |
radius | Radius of the arc. Must be greater than zero. |
startAngle | Start angle in radians |
endAngle | End angle in radians |
NXOpen::Arc* NXOpen::CurveCollection::CreateArc | ( | const NXOpen::Point3d & | center, |
const NXOpen::Vector3d & | xDirection, | ||
const NXOpen::Vector3d & | yDirection, | ||
double | radius, | ||
double | startAngle, | ||
double | endAngle | ||
) |
Creates an Arc .
The arc will be created through the origin and whose normal is Z axis. The start and end angles are measured relative to the X and Y axes.
center | Center of the arc |
xDirection | X direction of the arc |
yDirection | Y direction of the arc |
radius | Radius of the arc. Must be greater than zero. |
startAngle | Start angle in radians |
endAngle | End angle in radians |
NXOpen::Ellipse* NXOpen::CurveCollection::CreateEllipse | ( | const NXOpen::Point3d & | center, |
double | majorRadius, | ||
double | minorRadius, | ||
double | startAngle, | ||
double | endAngle, | ||
double | rotationAngle, | ||
NXOpen::NXMatrix * | matrix | ||
) |
Creates an Ellipse .
The ellipse will be created in a plane which passes through center and whose normal is the Z axis of the orientation matrix. (matrix.Element.xx, matrix.Element.xy, matrix.Element.xz) is the X axis of the orientation matrix. (matrix.Element.yx, matrix.Element.yy, matrix.Element.yz) is the Y axis of the orientation matrix. The start, end, and rotation angles are measured relative to the X and Y axis of this orientation matrix.
center | Center of ellipse |
majorRadius | Major radius |
minorRadius | Minor radius |
startAngle | Start angle in radians |
endAngle | End angle in radians |
rotationAngle | Rotation angle in radians |
matrix | Orientation matrix for the ellipse |
NXOpen::Ellipse* NXOpen::CurveCollection::CreateEllipse | ( | const NXOpen::Point3d & | center, |
const NXOpen::Vector3d & | xDirection, | ||
const NXOpen::Vector3d & | yDirection, | ||
double | majorRadius, | ||
double | minorRadius, | ||
double | startAngle, | ||
double | endAngle | ||
) |
Creates an Ellipse .
The ellipse will be created through the origin and whose normal is Z axis. The start and end angles are measured relative to the X and Y axes.
center | Center of the ellipse |
xDirection | X direction of the ellipse |
yDirection | Y direction of the ellipse |
majorRadius | Major radius of the ellipse. Must be greater than zero. |
minorRadius | Minor radius of the ellipse. Must be greater than zero. |
startAngle | Start angle in radians |
endAngle | End angle in radians |
NXOpen::ICurve* NXOpen::CurveCollection::CreateExtractedCurve | ( | NXOpen::ICurve * | curveToExtract, |
int | type, | ||
int | subtype, | ||
NXOpen::Xform * | xform, | ||
double | tolerance, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Curve .
The extracted curve will be created for the input curve to extract.
NXOpen::Hyperbola* NXOpen::CurveCollection::CreateHyperbola | ( | const NXOpen::Point3d & | center, |
double | semiTransverseLength, | ||
double | semiConjugateLength, | ||
double | minimumDY, | ||
double | maximumDY, | ||
double | rotationAngle, | ||
NXOpen::NXMatrix * | matrix | ||
) |
Creates a Hyperbola .
The hyperbola will be created in a plane which passes through center and whose normal is the Z axis of the orientation matrix. (matrix.Element.xx, matrix.Element.xy, matrix.Element.xz) is the X axis of the orientation matrix. (matrix.Element.yx, matrix.Element.yy, matrix.Element.yz) is the Y axis of the orientation matrix. The rotation angle is measured relative to the X and Y axis of this orientation matrix.
center | Center of hyperbola |
semiTransverseLength | Semi-transverse length |
semiConjugateLength | Semi-conjugate length |
minimumDY | Minimum DY width |
maximumDY | Maximum DY width |
rotationAngle | Rotation angle in radians |
matrix | Orientation matrix for the hyperbola |
NXOpen::Hyperbola* NXOpen::CurveCollection::CreateHyperbola | ( | const NXOpen::Point3d & | center, |
const NXOpen::Vector3d & | xDirection, | ||
const NXOpen::Vector3d & | yDirection, | ||
double | semiTransverseLength, | ||
double | semiConjugateLength, | ||
double | minimumDY, | ||
double | maximumDY | ||
) |
Creates a Hyperbola .
The hyperbola will be created through the origin and whose normal is Z axis.
center | Center of the hyperbola |
xDirection | X direction of the hyperbola |
yDirection | Y direction of the hyperbola |
semiTransverseLength | Semi-transverse length |
semiConjugateLength | Semi-conjugate length |
minimumDY | Minimum DY width |
maximumDY | Maximum DY width |
NXOpen::InfiniteLine* NXOpen::CurveCollection::CreateInfiniteLine | ( | const NXOpen::Point3d & | startPoint, |
const NXOpen::Point3d & | endPoint | ||
) |
Creates a InfiniteLine that passes through the two specified points.
startPoint | Start point |
endPoint | End point |
NXOpen::Line* NXOpen::CurveCollection::CreateLine | ( | const NXOpen::Point3d & | startPoint, |
const NXOpen::Point3d & | endPoint | ||
) |
Creates a Line .
startPoint | Start point |
endPoint | End point |
NXOpen::Line* NXOpen::CurveCollection::CreateLine | ( | NXOpen::Point * | startPoint, |
NXOpen::Point * | endPoint | ||
) |
NXOpen::InfiniteLine* NXOpen::CurveCollection::CreatePairedInfiniteLine | ( | NXOpen::Line * | line | ) |
Creates a paired InfiniteLine that is paired to the specified line.
line | Paired Line |
NXOpen::Parabola* NXOpen::CurveCollection::CreateParabola | ( | const NXOpen::Point3d & | center, |
double | focalLength, | ||
double | minimumDY, | ||
double | maximumDY, | ||
double | rotationAngle, | ||
NXOpen::NXMatrix * | matrix | ||
) |
Creates a Parabola .
The parabola will be created in a plane which passes through center and whose normal is the Z axis of the orientation matrix. (matrix.Element.xx, matrix.Element.xy, matrix.Element.xz) is the X axis of the orientation matrix. (matrix.Element.yx, matrix.Element.yy, matrix.Element.yz) is the Y axis of the orientation matrix. The rotation angle is measured relative to the X and Y axis of this orientation matrix.
center | Center of parabola |
focalLength | Focal length |
minimumDY | Minimum DY width |
maximumDY | Maximum DY width |
rotationAngle | Rotation angle in radians |
matrix | Orientation matrix for the parabola |
NXOpen::Parabola* NXOpen::CurveCollection::CreateParabola | ( | const NXOpen::Point3d & | center, |
const NXOpen::Vector3d & | xDirection, | ||
const NXOpen::Vector3d & | yDirection, | ||
double | focalLength, | ||
double | minimumDY, | ||
double | maximumDY | ||
) |
Creates a Parabola .
The parabola will be created through the origin and whose normal is Z axis.
center | Center of the parabola |
xDirection | X direction of the parabola |
yDirection | Y direction of the parabola |
focalLength | Focal length |
minimumDY | Minimum DY width |
maximumDY | Maximum DY width |
NXOpen::Curve* NXOpen::CurveCollection::CreateSmartCompositeCurve | ( | NXOpen::Section * | section, |
NXOpen::SmartObject::UpdateOption | updateOption, | ||
double | tolerance | ||
) |
Creates a Curve .
The smart composite curve will be created for the input section.
section | Section from which smart composite curve will be created |
updateOption | update option |
tolerance | Tolerance used to join the section output curves |
NXOpen::Curve* NXOpen::CurveCollection::CreateSmartCompositeCurve | ( | NXOpen::Curve * | curve, |
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Curve* NXOpen::CurveCollection::CreateVirtualBlendCurve | ( | NXOpen::SmartObject::UpdateOption | updateOption, |
NXOpen::IParameterizedSurface * | blendFace, | ||
double | tolerance | ||
) |
Creates a Curve .
The virtual blend curve will be created for the input blend face. The virtual blend curve behaves similarly to the original edge that the blend face was applied on.
updateOption | update option |
blendFace | blend face |
tolerance | tolerance for computing the facsimile curve |
NXOpen::Curve* NXOpen::CurveCollection::CreateVirtualCenterlineCurve | ( | NXOpen::SmartObject::UpdateOption | updateOption, |
NXOpen::IParameterizedSurface * | blendFace, | ||
double | tolerance | ||
) |
Creates a Curve .
The virtual centerline curve will be created for the input blend face.
updateOption | update option |
blendFace | blend face |
tolerance | tolerance for computing the facsimile curve |
iterator NXOpen::CurveCollection::end | ( | ) |
Returns an iterator addressing one past the last element.
tag_t NXOpen::CurveCollection::Tag | ( | ) | const |
Returns the tag of this object.